Generate video
curl --request POST \
--url https://api.siray.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aspect_ratio": "9:16",
"audio_enable": false,
"camera_lora": "dolly_in",
"camera_lora_scale": 1,
"duration": 6,
"end_image": "example_value",
"fps": 24,
"image": "example_value",
"model": "lightricks/ltx-2.3-22b-i2v",
"negative_prompt": "example_value",
"prompt": "example_value",
"size": "720p"
}
'import requests
url = "https://api.siray.ai/v1/video/generations"
payload = {
"aspect_ratio": "9:16",
"audio_enable": False,
"camera_lora": "dolly_in",
"camera_lora_scale": 1,
"duration": 6,
"end_image": "example_value",
"fps": 24,
"image": "example_value",
"model": "lightricks/ltx-2.3-22b-i2v",
"negative_prompt": "example_value",
"prompt": "example_value",
"size": "720p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '9:16',
audio_enable: false,
camera_lora: 'dolly_in',
camera_lora_scale: 1,
duration: 6,
end_image: 'example_value',
fps: 24,
image: 'example_value',
model: 'lightricks/ltx-2.3-22b-i2v',
negative_prompt: 'example_value',
prompt: 'example_value',
size: '720p'
})
};
fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Lightricks
LTX 2.3 22B i2v
POST
/
v1
/
video
/
generations
Generate video
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for video generation models
Aspect ratio
Available options:
9:16, 16:9 Fixed duration
Available options:
6, 8, 10, 12, 14, 16, 18, 20 Input image for generation, it can be data URL or image URL
Model name to use for the request
Available options:
lightricks/ltx-2.3-22b-i2v Text prompt for generation
Size
Available options:
720p, 1080p Whether to generate audio along with video
Camera motion LoRA to apply
Available options:
dolly_in, dolly_out, dolly_left, dolly_right, jib_up, jib_down, static, none Strength of the camera motion LoRA (0-1)
Required range:
0 <= x <= 1End frame image URL for image-to-video generation
Frames per second of the generated video
Available options:
24, 30 Negative prompt to specify what should not appear in the generation
Response
200 - application/json
Successful response
⌘I
